"use strict";
/**
 * Utils - Get Archive Id
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getArchiveId = void 0;
/* Imports */
const config_1 = require("../../config/config");
const isObject_1 = require("../isObject/isObject");
const isString_1 = require("../isString/isString");
/**
 * Function - get archive id from config slug
 *
 * @param {string} contentType
 * @param {string} linkContentType
 * @return {string}
 */
const getArchiveId = (contentType = '', linkContentType = 'default') => {
    let id = '';
    if (config_1.config.contentTypes.archive[contentType] !== undefined) {
        const archiveId = config_1.config.contentTypes.archive[contentType].id;
        if ((0, isObject_1.isObjectStrict)(archiveId)) {
            const contentTypeArchiveId = archiveId[linkContentType];
            id = (0, isString_1.isStringStrict)(contentTypeArchiveId) ? contentTypeArchiveId : '';
        }
    }
    return id;
};
exports.getArchiveId = getArchiveId;
